curl --request PUT \
--url https://staging.crossmint.com/api/v1-alpha1/minting/collections/{collectionId}/transferable \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '{
"value": true
}'import requests
url = "https://staging.crossmint.com/api/v1-alpha1/minting/collections/{collectionId}/transferable"
payload = { "value": True }
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({value: true})
};
fetch('https://staging.crossmint.com/api/v1-alpha1/minting/collections/{collectionId}/transferable', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": true,
"message": "Invalid arguments or empty parameter <missing parameter>."
}{
"error": true,
"message": "Malformed API key. / API key provided doesn't have required scopes."
}{
"error": true,
"message": "Not found"
}{
"error": true,
"message": "Collection <id> is not yet deployed. Please try again in a moment."
}{
"error": true,
"message": "Please try again in a few minutes. If the issue still persists, contact Crossmint support."
}Set Transferability
Update the transferable status of a collection.
This API is supported on EVM and Aptos chains. You must contact sales to gain access to this API.
API scope required: collections.update
Authorizations
Obtained in the Crossmint developer console
Path Parameters
This is the identifier for the collection related to the request. Every project has default collections: default-solana and default-polygon.
The create-collection API will result in collections with UUID formatted collectionId.
Example: 9c82ef99-617f-497d-9abb-fd355291681b
The create-collection-idempotent API allows you to specify an arbitrary identifier during the initial request.
Example: your-custom-identifier
Body
Toggles the transferability of NFTs within the collection. Set to false to disable transfers.
true
Response
Success
Was this page helpful?

